coreFramework.service('cfLocale', function () {

    var self = this;
    
    this.messages = 'en';
    this.monetary = 'en';
    this.time = 'en';

    function setMessages(loc) {
        if (typeof loc === 'string') {
            this.messages = angular.lowercase(loc);
        }
    }

    function setMonetary(loc) {
        if (typeof loc === 'string') {
            this.monetary = angular.lowercase(loc);
        }
    }

    function setTime(loc) {
        if (typeof loc === 'string') {
            this.time = angular.lowercase(loc);
        }
    }

    this.setMessagesLocale = setMessages;
    this.setMonetaryLocale = setMonetary;
    this.setTimeLocale = setTime;

});